#include "Gfx3DException.h"
#include <stdio.h>

//output an unspecified error
Gfx3DException::Gfx3DException() {
	ErrMsg = "<unspecified error>";
}

//output an error with a message from the
//source module.
Gfx3DException::Gfx3DException(char *msg) {
	ErrMsg = msg;
}

//output an error with a message and a line number.
Gfx3DException::Gfx3DException(char *msg, long ln) {
	char *pTmp = new char;
	sprintf(pTmp,"(line: %d) - %s",ln,msg);
	ErrMsg = pTmp;
}

//output an error with a message, line number and file name.
Gfx3DException::Gfx3DException(char *msg, char *file, long ln) {
	char *pTmp = new char;
	sprintf( pTmp, "(file: %s, line: %d) - %s", file, ln, msg );
	ErrMsg = pTmp;
}

char* Gfx3DException::GetErrMsg() {
	if (ErrMsg != NULL)
		return ErrMsg;
	else
		return NULL;
}